<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Payment extends CI_Controller
{

    function __construct()
    {
        parent::__construct();
        //$this->output->enable_profiler(TRUE);
    }

    public function index()
    {
        $data=array();
        if ($this->input->post('price')) {
          $data['payurl'] = '<a href="https://www.chinahighlights.com/securepayment/?'.
              'Site_Language=en_us&'.
              'Site_CurrencyType=USD&'.
              'Site_ACD=100-200-300&'.
              'Site_OnlyPaymentType=0-1&'.
              'Order_ID=&'.
              'Order_TotalCost='.trim($this->input->post('price')).'&'.
              'Order_Name='.urlencode($this->input->post('description')).'&'.
              'Order_PaymentType=Motopay&'.
              'ToEmail=davidyang@chinahighlights.net">'.
              '<img border="0" alt="Pay now" src="http://www.chinahighlights.com/pic/pay-button.png" width="354" height="85" />'.
            '</a>';
        }
        $this->load->view('bootstrap/header',$data);
        $this->load->view('bootstrap/payment');
        $this->load->view('bootstrap/footer');
    }

}
